1.0.0OAS 3.0

Manages buckets and the JSON objects stored in them. Each object is a single JSON data value whose stringified content can be at most 1MB. The billing profile is a subscription with a quota entitlement. Basic allows up to 10 buckets and 10,000 objects (up to 10GB total). Premium allows unlimited buckets and 100,000 objects (up to 100GB total). Max allows unlimited buckets and 1,000,000 objects (up to 1TB total). Buckets must be created before adding objects, and must be empty before they can be deleted.

API Base URL
  • Server 1:https://api.rest.rodeo/storage/api/v1

    Production

Security
bearerAuth (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

/buckets

Lists every bucket.

get
https://api.rest.rodeo/storage/api/v1/buckets

Response

application/json

All buckets

BucketsList

* Additional properties are NOT allowed.
bucketsarray[object]required
* Additional properties are NOT allowed.
Show Child Parameters
get/buckets
 
application/json

/buckets

Creates a bucket. Returns 402 when the subscription tier’s bucket quota is already reached.

post
https://api.rest.rodeo/storage/api/v1/buckets

Body

application/json

BucketRequest

* Additional properties are NOT allowed.
namestringrequired

The bucket name.

>= 1 characters<= 256 characters

Response

application/json

The created bucket

Bucket

* Additional properties are NOT allowed.
idstring(uuid)required

The bucket id.

namestringrequired

The bucket name.

<= 256 characters

post/buckets

Body

{ "name": "project-files" }
 
application/json

/buckets/{bucketId}

Returns a single bucket by id.

get
https://api.rest.rodeo/storage/api/v1/buckets/{bucketId}

Path Parameters

bucketIdstring(uuid)required

The bucket id.

Response

application/json

The bucket

Bucket

* Additional properties are NOT allowed.
idstring(uuid)required

The bucket id.

namestringrequired

The bucket name.

<= 256 characters

get/buckets/{bucketId}
 
application/json